Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 606194 - Please mask and remove dev-libs/DirectFB
Summary: Please mask and remove dev-libs/DirectFB
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Joerg Bornkessel
URL:
Whiteboard: Pending removal: 2018-07-17
Keywords: PMASKED
Depends on: 542108 596534 625604 625608 625610 625612 642496 642498 642500 642502 642504 642506 642508 642510 642512 642516 650454
Blocks:
  Show dependency tree
 
Reported: 2017-01-18 10:40 UTC by Agostino Sarubbo
Modified: 2018-07-28 12:08 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qa-report (file_606194.txt,16.65 KB, text/plain)
2017-01-18 10:40 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-01-18 10:40:14 UTC
Created attachment 460528 [details]
qa-report

the DirectFB project was abandoned. They did not renew the dns, so at directfb.org there is something unrelated to the project.

For now the directfb package seems to compile but fusionsound needs an old directfb version that was removed for security concerns.

I'd suggest for now to mask and remove fusionsound.

11:37 <willikins> Reverse RDEPEND for media-libs/FusionSound: media-libs/libsdl2-2.0.4:fusionsound media-libs/libsdl2-2.0.5:fusionsound media-libs/xine-lib-1.2.6-r1:fusionsound media-libs/xine-lib-1.2.9999:fusionsound


See:
https://qa-reports.gentoo.org/output/gentoo-ci/output.html#media-libs/FusionSound
https://github.com/DirectFB/directfb/issues/1#issuecomment-217583504

A copy of the qa-report will be attacched here.
Comment 1 James Le Cuirot gentoo-dev 2017-01-18 10:48:40 UTC
Be aware that the site disappeared in the past but later came back. There was also a developer announcement of upcoming work in November.

https://www.phoronix.com/scan.php?page=news_item&px=DirectFB-Net-Online
http://www.phoronix.com/scan.php?page=news_item&px=DirectFB-EGL-Wayland-Update

It's still not looking too good though.
Comment 2 Thomas Deutschmann gentoo-dev Security 2017-01-18 11:02:21 UTC
Looks like the project moved to http://www.directfb.net and there's an announcement that they will be back soon: http://www.directfb.net/index.php?path=Main%2FNews&entry=2016-11-03-0.dok

@ Maintainer(s): If you don't want to/cannot cleanup please bump to a version which works with >=dev-libs/DirectFB-1.7.5.
Comment 3 Michael Palimaka (kensington) gentoo-dev 2017-03-18 06:18:36 UTC
FusionSound has been removed.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev 2017-05-25 05:42:02 UTC
With Fusion sound removed, can we close this bug now, and hence be able to fix the block?
Comment 5 Pacho Ramos gentoo-dev 2017-07-14 10:12:04 UTC
This still has many reverse deps :/
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-12-28 12:17:13 UTC
Can't we just mask the useflag globally instead of having to update all the packages first?
Comment 7 Pacho Ramos gentoo-dev 2017-12-28 12:55:53 UTC
Well... with packages with far less reverse deps I have got in the past strong "complaints" (even insults) when doing that... today I didn't want to end up completely burned and quitting completely... then... I have preferred to warn maintainers of all reverse deps more and go ahead with other "easier" packages for today
Comment 8 Larry the Git Cow gentoo-dev 2018-07-28 12:08:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50a4c86ddd462ac5c556423b54a9039b8e55d7f4

commit 50a4c86ddd462ac5c556423b54a9039b8e55d7f4
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2018-07-28 12:07:22 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2018-07-28 12:08:18 +0000

    dev-libs/DirectFB: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/606194

 dev-libs/DirectFB/DirectFB-1.7.6-r1.ebuild         | 201 ---------------------
 dev-libs/DirectFB/Manifest                         |   1 -
 ...x-compiler-error-when-building-for-thumb2.patch |  50 -----
 .../DirectFB/files/DirectFB-1.6.3-pkgconfig.patch  |  22 ---
 .../DirectFB/files/DirectFB-1.6.3-setregion.patch  |  85 ---------
 dev-libs/DirectFB/files/DirectFB-1.7.1-build.patch |  27 ---
 dev-libs/DirectFB/files/DirectFB-1.7.5-flags.patch |  63 -------
 .../DirectFB/files/DirectFB-1.7.6-cle266.patch     |  13 --
 .../DirectFB/files/DirectFB-1.7.6-idivine.patch    |  57 ------
 dev-libs/DirectFB/files/DirectFB-1.7.6-tslib.patch |  33 ----
 dev-libs/DirectFB/metadata.xml                     |  44 -----
 profiles/arch/amd64-fbsd/use.mask                  |   4 -
 profiles/arch/arm/package.use.mask                 |   4 -
 profiles/arch/arm64/package.use.mask               |   4 -
 profiles/arch/arm64/use.mask                       |   4 -
 profiles/arch/ia64/package.use.mask                |   4 -
 profiles/package.mask                              |   4 -
 17 files changed, 620 deletions(-)